<template>
  <div class="container">
    <form @submit="addDeteiling(formData)">
      <label for="">
        {{$t('form.img')}}:
        <input
          type="text"
          v-model="formData.img"
          name="img"
          id="img"
          required
        />
      </label>
      <label for="">
        {{$t('form.name')}}:
        <input
          type="text"
          v-model="formData.name"
          name="name"
          id="name"
          required
        />
      </label>
      <label for="">
        {{$t('form.price')}}:
        <input
          type="number"
          v-model="formData.price"
          name="price"
          id="price"
          required
        />
      </label>
      <label for="">
        {{$t('form.category')}}:
        <input
          type="text"
          v-model="formData.category"
          name="category"
          id="category"
          required
        />
      </label>
      <label for="">
        {{$t('form.description')}}:
        <input
          type="text"
          v-model="formData.description"
          name="description"
          id="description"
          required
        />
      </label>
      <button type="submit">{{ $t('form.create') }}</button>
    </form>
  </div>
  <hr>
  <div class="home">
    <div class="product-cards-container">
      <ProductSummaryCard
        v-for="product in getItemsList"
        :key="product.id"
        :product="product"
        ><button @click="deleteDeteiling(product)">
          <img
            src="https://www.svgrepo.com/download/21045/delete-button.svg"
            alt=""
            width="35"
            height="35"
          /></button
      ></ProductSummaryCard>
    </div>
  </div>
</template>

<script>
import ProductSummaryCard from "../components/product/ProductSummuryCard.vue";
import { mapGetters, mapActions } from "vuex";
export default {
  data() {
    return {
      formData: {},
    };
  },
  computed: {
    ...mapGetters(["getItemsList"]),
  },
  components: {
    ProductSummaryCard,
  },
  methods: {
    ...mapActions(["loadList", "addItem", "deleteItem"]),
    addDeteiling(item) {
      this.addItem(item);
    },
    deleteDeteiling(item) {
      this.deleteItem(item.id).then(alert("Deleting"));
    },
  },
  created() {
    this.loadList();
  },
};
</script>

<style lang="scss" scoped>
form label {
  display: block;
}

.product-cards-container {
  display: flex;
  flex-wrap: wrap; /* Зміна flex-wrap на wrap */
  gap: 20px;
  padding-bottom: 20px;
}

.product-cards-container .product-container {
  flex: 0 0 calc(25% - 20px); /* 25% ширини мінус відступ між карточками */
  min-width: 300px;
  margin-bottom: 20px; /* Відступ для кращої видимості */
}

input[type="text"] {
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
  font-size: 16px;
  width: 100%; /* Розширити до ширини батьківського контейнера */
  max-width: 400px; /* Необов'язково: задати максимальну ширину для полегшення читання */
}

/* Додайте медіа-запити, якщо потрібно адаптувати ширину карточок на різних пристроях */
@media screen and (max-width: 1200px) {
  .product-cards-container .product-container {
    flex: 0 0 calc(33.333% - 20px); /* Приклад для адаптації ширини на пристроях з меншим екраном */
  }
}
@media screen and (max-width: 768px) {
  .product-cards-container .product-container {
    flex: 0 0 calc(50% - 20px); /* Ще менша ширина на пристроях з дуже малим екраном */
  }
}
</style>
